/** 
 * BasicEnemy moves down and shoots down. Quite basic.
 */

import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class BasicEnemy extends Enemy
{
    private int turnCount = 0;
    
    public BasicEnemy(int h) 
    {
        speed          = 2;  
        points         = 200; 
        shootTimer     = 50 + Greenfoot.getRandomNumber(50);
        health         = h; //+ getScoreboard().getScore() / 10;
        isBoss         = false;
        
        //setting the costumes
        costumes = new GreenfootImage[5];
        for (int i = 0; i < 5; i++) 
        {
            costumes[i] = new GreenfootImage("Redbaddy_0"+(i+1)+".gif");
        }
        costumeNumber = 0;
        
        turn(0); //turn it to face down
    }

    public void attack() 
    {
        Bullet b = new Bullet();
       
        getWorld().addObject(b, getX(), getY());
        // add it to the world and let it fly!
    }
   
}
