import greenfoot.*;
/**
 * Default Player weapon. Shoots Bullets at a basic rate.
 */

public class BasicGun implements Gun
{
    int cooldownLimit;
    int cooldownTimer;
    int bulletSpeed;
    int damage; 
    
    Player p1;

    public BasicGun(Player p) 
    {
        cooldownLimit = 15;
        cooldownTimer = 0;
        bulletSpeed = 10;
        
        
        p1 = p;
        
        damage = p.getAttack();
    }

    public void shoot()
    {
        if (cooldownTimer == cooldownLimit) {
            cooldownTimer = 0;
            MyBullet b0 = new MyBullet(damage);
            p1.getWorld().addObject(b0, p1.getX(), p1.getY());
            GreenfootSound laser = new GreenfootSound("EnergyGun.wav");
            laser.setVolume(85);
            laser.play();
        }
    }
    
    public void updateCooldown()
    {
        if (cooldownTimer != cooldownLimit)
            cooldownTimer++;
    }
    
}
