import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
/**
 * Flashing message for user to press Enter key to continue.
 * Created alongside TitleScreen and GameOver
 */ 

public class Continue extends Actor
{
    private int ghost  = 0;
    private int change = 25;
    private int timer  = 0;

    GreenfootImage[] costumes = new GreenfootImage[2];
    int costumeNumber = 0;
    
    public Continue()
    { 
        for (int i = 0; i < 2; i++)
        { 
            costumes[i] = new GreenfootImage("PressEnter"+(i+1)+".gif");
        }
        setImage(costumes[costumeNumber]);
    } 
    
    public void fadeOut()
    {
        if (ghost > 0) {
            getImage().setTransparency(ghost);
            ghost-=5;
        }
    }
    
    public void act() 
    {
        
        if(Greenfoot.isKeyDown("enter"))
        {
            change = 5;
        }
        
        if(timer % change == 0)
        {
            setImage(costumes[costumeNumber]);
            costumeNumber++;
            if(costumeNumber > 1){
                 costumeNumber = 0;
            }
        }
        
        if(change == 5)
        {
            fadeOut();
            if(ghost <= 0)
                getWorld().removeObject(this);
        }
        
        timer++;
    }        
}