import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * Abstract class for Enemy Projectiles.
 * Cause damage to Player.
 */

public abstract class EnemyProjectile extends Actor
{
    int speed;      //how fast the bullet travels
    int direction;  //direction of the bullet in degrees

    public boolean offScreen() 
    {
        int width = getWorld().getWidth();
        int height = getWorld().getHeight();
        int x = getX();
        int y = getY();
        return x > width || x < 0 || y > height || y < 0;
    }
}