import greenfoot.*;  
/** 
 * Cosmetically creates Stars. 
 * Pauses when BlackHole is generated.
 */

public class EnvironmentGenerator extends Actor
{
    private boolean paused = false;
    private int timer = 0;
    
    public boolean getPaused()
    {
        return paused;
    }
     
    public void act()
    {
        timer++;
        if(!paused && timer % 3 == 0)//slightly nerfed
            starWave(); 
    }
    
    public void starWave()
    {
        int x = Greenfoot.getRandomNumber(getWorld().getWidth());
        Star s = new Star();
        getWorld().addObject(s, x, -10);
    }
    
    public void pause()
    {
        paused = true;
    }
    public void go()
    {
        paused = false;
    }
}