import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
/** 
 * Appears once Player has run out of lives.
 * Resets the game when Enter key is pressed.
 */

public class GameOver extends Screen 
{

    public GameOver()
    {
        setImage("GameOver.PNG");
    }   
    
    public void addedToWorld(World w)
    {
        getImage().setTransparency(0);
        getWorld().addObject(new Continue(), 250, 450);
    }
    
    public void act() 
    {
        fadeIn();
        //START AGAIN
        if(Greenfoot.isKeyDown("enter")){
            FirstLevel level = (FirstLevel)getWorld();
            level.stopMusic();
            Greenfoot.setWorld(new FirstLevel());
        }
    }        
    
    public Button getButton()
    {
        return null;
    }
    
        
}