import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Explosion generator spams Explosions at a set rate.
 */
public class Kaboom extends Actor
{
    private int rate;
    private int timer = 0;
    private int length;
    
    public Kaboom() //makes small Explosions
    {
        rate = 10;
        length = 200;
    }
     
    public Kaboom(int r) //makes big Explosions
    {
        rate = 15;
        length = r;
    }

    public void act() 
    {
        if(timer % rate == 0)
        {
            String str;
            if(rate == 10)
               {str = "small";}
            else
               {str = "big";}
            
            Explosion ex = new Explosion(str);
            
            int x = getX() - 40 + Greenfoot.getRandomNumber(80);
            int y = getY() - 40 + Greenfoot.getRandomNumber(80); 
            
            getWorld().addObject(ex, x, y);
        }
        
        if(timer >= length)
        {getWorld().removeObject(this);}
        
        timer++;
    }    
    
    public void setRate(int x)
    {
        rate = x;
    }
}

/*
 * BOOMBOOMBOOMBOOM
 * I WANT YOU IN MY ROOM
 */