import greenfoot.*;
/**
 * MachineGun fires triple burst fire Bullets.
 */

public class MachineGun implements Gun
{
    // instance variables
    int cooldownLimit;
    int cooldownTimer;
    int bulletSpeed;
    int damage;
    Player p1;

    int triple;
    boolean burst;
    //Constructor -- initializes our g 
    public MachineGun(Player p)
    {
        cooldownLimit = 10;
        cooldownTimer = 0;
        bulletSpeed = 20;
        p1 = p;
         
        triple = 0;
        burst = false;
        
        damage = p.getAttack();
    }

    
    public void shoot()
    {
        if (burst || cooldownTimer == cooldownLimit) {
            burst = true;
            
            cooldownTimer = 0;
            
            if(triple % 5 == 0)
            {
                MyBullet b0 = new MyBullet(damage);
                p1.getWorld().addObject(b0, p1.getX(), p1.getY());
            }
            
            if(triple > 15){
                burst = false;
                triple = 0;
            }
            
            triple++;
            
            //No sounds for the Machinegun as it causes too much lag...
            //goPew();
        }
    }
    
    public void updateCooldown()
    {
        if (cooldownTimer != cooldownLimit)
            cooldownTimer++;
    }
    
    public void goPew()
    {
        GreenfootSound laser = new GreenfootSound("syringegunshoot.wav");
        laser.setVolume(60);
        laser.play();
    }
}
/*
 * YATATATATATATATA
 * YATATATATATATATA
 * DUBADODODODODADA
 * KABOOM! KABOOM!
 * 
 */
