import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * Launched by BossEnemy.
 * Slight acceleration in flight.
 */
public class Missle extends EnemyProjectile
{
    private int timer = 0;

    GreenfootImage[] costumes = new GreenfootImage[4];
    int costumeNumber = 0;
    
    public Missle()
    {
        speed = -1;
        direction = 90;
        setRotation(direction);
         
        for (int i = 0; i < 4; i++)
        {
            costumes[i] = new GreenfootImage("MissleRed_0"+(i+1)+".gif");
        }
    }
    
    public void act()
    {        
        costumeNumber++;
        if(costumeNumber > 3){
            costumeNumber = 0;
        }
        setImage(costumes[costumeNumber]);
        
        if(offScreen()) {
            getWorld().removeObject(this);
        } else {
            move( speed + (timer / 10) );
        }
        
        timer++;
    }
    
    
}