import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * Launched by MissleLauncher. 
 * Slight acceleration in flight.
 */

public class MyMissle extends MyProjectile
{    
    private int timer = 0;

    public MyMissle(int dam)
    {
        speed = -1;
        direction = -90; // up
        setRotation(direction);
        damage = dam;
        
        for (int i = 0; i < 4; i++)
        {
            costumes[i] = new GreenfootImage("MissleBlack_0"+(i+1)+".gif");
        }
    }
    
    public void act()
    {        
        costumeNumber++;
        if(costumeNumber > 3)
            {costumeNumber = 0;}
        setImage(costumes[costumeNumber]);

        if(offScreen())  
            {getWorld().removeObject(this);} 
        else 
            {move(speed + (timer / 2));}
            
        timer++;
    }
}