import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

public abstract class MyProjectile extends Actor
{
    int speed;      //Speed of bullet
    int direction;  //Direction of bullet
    int damage;     //Power of bullet (depends on level of gun) 
                            //shouldn't exceed 5.
                        
    GreenfootImage[] costumes = new GreenfootImage[6]; 
    int costumeNumber = 0;
    
    public int getDamage()
    {
        return damage;
    }
    
    public abstract void act(); 
    
    public boolean offScreen()
    //checks to see if the bullet is off screen or not
    {
        int width = getWorld().getWidth(); //width of screen
        int height = getWorld().getHeight(); //height of screen
        int x = getX(); //bullet's x
        int y = getY(); //bullet's y
        return x > width || x < 0 || y > height + 10 || y < 0;
    }
}