import greenfoot.Greenfoot;

public class NovaGun implements Gun
{
    // instance variables 
    int cooldownLimit;
    int cooldownTimer;
    int bulletSpeed;
    int degree; 
    int damage;
    Player p1;

    //Constructor -- initializes our g
    public NovaGun(Player p)
    {
        cooldownLimit = 15;
        cooldownTimer = 0;
        bulletSpeed = 10;
        p1 = p;
        
        damage = p.getAttack();
    }
 
     
    public void shoot()
    {
        if (cooldownTimer == cooldownLimit) {
            cooldownTimer = 0;
            MyBullet[] b = new MyBullet[359]; //make a bullet for each degree
            
            for(degree = 0; degree < b.length; degree++)
            //set them each to a different direction
            {
                b[degree] = new MyBullet(degree, damage); 
            }
            
            for(MyBullet x: b)
            //fire them all
            {
                p1.getWorld().addObject(x, p1.getX(), p1.getY());
            }
            
            Greenfoot.playSound("EnergyGun.wav");
        }
    }
    
    public void updateCooldown()
    {
        if (cooldownTimer != cooldownLimit)
            cooldownTimer++;
    }
}
