import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
import java.awt.Font; 

public class Scoreboard extends Actor 
{
    GreenfootImage image;
    Color colour;
    
    /**
     * make this into pictures later
     */

    public Scoreboard() 
    {  
        image = new GreenfootImage(220, 100);
        colour = Color.WHITE;
        
        image.setColor(colour);
    }
    
    public Player getPlayer()
    {
        FirstLevel level = (FirstLevel)getWorld();
        return level.getPlayer();
    } 
    
    public void act() 
    {
        image.clear();
        drawScore();
    }    
    
    public void drawScore()
    {
        image.setColor(colour);
        image.drawString("Score: " + getPlayer().getScore(), 70, 50);
        setImage(image);
    }
    
    public void fixColor(Color c)
    {
        colour = c;
    }
}

//OKTOBERFEST, HERR DOKTOR