import greenfoot.*;

public abstract class Screen extends Actor
{
    int ghost    = 0;
    int mode     = 0;
    boolean play = false;


    public void fadeOut()
    {
        if (ghost > 0) {
            getImage().setTransparency(ghost);
            ghost-=5;
        }
    }
     
    public void fadeIn()
    {
        if (ghost < 255) {
            getImage().setTransparency(ghost);
            ghost+=5;
        }
    }
    
    //removing this method seems to cause problems....
    public void addedToWorld(World w)
    {
        getImage().setTransparency(ghost);
    }

    public abstract void act();

    public Player getPlayer()
    {
        FirstLevel level = (FirstLevel)getWorld(); 
        return level.getPlayer();
    } 

}