import greenfoot.*;

public class ShotGun implements Gun
{
    // instance variables 
    int cooldownLimit;
    int cooldownTimer;
    int bulletSpeed;
    int damage;
    Player p1;
    

    //Constructor -- initializes our g
    public ShotGun(Player p)
    {
        cooldownLimit = 50;
        cooldownTimer = 50;
        bulletSpeed = 10;
        p1 = p;
        
        
        damage = p.getAttack();
    }
 
    
    public void shoot()
    {
        if (cooldownTimer == cooldownLimit) {
            cooldownTimer = 0;
            
            MyBullet[] bulls = new MyBullet[7]; //make 7 shotgun bullets
            
            //aim them all accordingly
            for(int d = 0; d < bulls.length; d++) 
            {
                bulls[d] = new MyBullet(-60 - (10*d), damage); 
            }
            
            //fire them all
            for(MyBullet x : bulls)
            {
                p1.getWorld().addObject(x, p1.getX(), p1.getY());
            }
            //pew
            goPew();
        }
    }
    
    public void updateCooldown()
    {
        if (cooldownTimer != cooldownLimit)
            cooldownTimer++;
    }
    
    public void goPew()
    {
        GreenfootSound laser = new GreenfootSound("shotgunshoot.wav");
        laser.setVolume(80);
        laser.play();
    }
}
