/** 
 * SuicideEnemy bounces around the screen towards the Player without shooting. 
 */

import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class SuicideEnemy extends Enemy
{
    public SuicideEnemy(int h) 
    {
        speed          = 3;  
        points         = 50;
        shootTimer     = 1; //keeps on attacking 
        health         = h;// + getScoreboard().getScore() / 10;
        isBoss         = false;

        border         = 10  + (int)(Math.random() * 480);
        truth          = true;
         
        //setting the costumes
        costumes = new GreenfootImage[5]; 
        for (int i = 0; i < 5; i++)
        {
            costumes[i] = new GreenfootImage("Widebaddy_0"+(i+1)+".gif");
        }
        costumeNumber = 0;
        
        //turn it to face down
        turn(0); 
    }
     
    public void attack() 
    {
        //
        if(truth)
            setLocation(getX() - speed, getY());
        else
            setLocation(getX() + speed, getY());
        if( (getX() >= border - 2 && getX() <= border + 2) || getX() >= 490 || getX() <= 10)
            truth = !truth;
        

            //SuicideEnemy attacks by changing direction towards the Player
            //(I realize that this is a pretty roundabout way of programming this...)
        
        /*Player p = getPlayer();
        int x;
        //FIX THIS
        
        if(p.equals(null))     
            x = this.getX(); 
        else
            x = p.getX();
            
        if(p != null)
        {
            if(x >= this.getX())
            {
                setLocation(this.getX() + speed, this.getY()); 
            }
            else
            {
                setLocation(this.getX() - speed, this.getY()); 
            }
        }*/
    }
}
