import greenfoot.*;

public class BlackHoleGun implements Gun
{ 
    // instance variables
    int cooldownLimit;
    int cooldownTimer;
    int bulletSpeed;
    Player p1;
 
    //Constructor -- initializes our g
    public BlackHoleGun(Player p)
    {
        cooldownLimit = 300;
        cooldownTimer = 300;
        bulletSpeed = 9001;
        
        p1 = p;
    }

    
    public void shoot()
    {
        if (cooldownTimer == cooldownLimit) {
            cooldownTimer = 0;
            MyBlackHole b0 = new MyBlackHole();
            p1.getWorld().addObject(b0, p1.getX(), p1.getY());
            GreenfootSound laser = new GreenfootSound("pomson.wav");
            laser.setVolume(80);
            laser.play();
        }
    }
    
    public void updateCooldown()
    {
        if (cooldownTimer != cooldownLimit)
            cooldownTimer++;
    }
    

}
