import greenfoot.Greenfoot;

public class MissleLauncher implements Launcher
{
    int cooldownLimit;
    int cooldownTimer;
    int bulletSpeed;
    int damage;
    Player p1;

    public MissleLauncher(Player p)
    {
        cooldownLimit = 30;
        cooldownTimer = 30;
        p1 = p;
        
        damage = p.getAttack() * 2;
    }

    public void shoot(int z)
    {
        if (cooldownTimer == cooldownLimit) 
        {
            cooldownTimer = 0;
            
            if(z > 0)
            {
                MyMissle[] miss = new MyMissle[z];

                for(int c = 0; c < miss.length; c++)
                {
                    miss[c] = new MyMissle(damage);
                }
                
                for(MyMissle m : miss)
                {
                    int n = Greenfoot.getRandomNumber(100) - 50;
                    p1.getWorld().addObject(m, p1.getX() + n, p1.getY() + 10);
                }
                
                //Greenfoot.playSound("EnergyGun.wav");
            }
        }
    }
    
    public void updateCooldown()
    {
        if (cooldownTimer != cooldownLimit)
            cooldownTimer++;
    }
}
