 import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)


public class MyBullet extends MyProjectile
{    

    /**
     * Used by BasicGun, MachineGun 
     */
    public MyBullet(int dam)
    {
        speed = 10;
        direction = -90; // up
        setRotation(direction);
        damage = dam;
        
        for (int i = 0; i < 6; i++)
        {
            costumes[i] = new GreenfootImage("LazerbeemsYellow_0"+(i+1)+".gif");
        }
        //System.out.println(damage);
    }
    /**
     * Used by Shotgun, Novagun
     */
    public MyBullet(int dir, int dam) 
    {
        speed = 10;
        direction = dir;
        setRotation(direction);
        damage = dam;
        
        for (int i = 0; i < 6; i++)
        {
            costumes[i] = new GreenfootImage("bullet.png");
        }
    }
    
    public void act()
    {        
        costumeNumber++;
        if(costumeNumber > 5){
            costumeNumber = 0;
        }
        setImage(costumes[costumeNumber]);
        
        if(offScreen())  //offscreen is a method i wrote, see bellow 
        {
            getWorld().removeObject(this);
            //if the bullet got offscreen, remove
        } 
        else 
        {
            //otherwise move it some more at it's speed
            
            move(speed);
        }
    }
}