import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)
/**
 * ScatterGun Projectile travels crazily.
 */

public class MyScatter extends MyProjectile
{    

    public MyScatter(int dam)
    {
        speed = 10;
        direction = -90; // up
        setRotation(direction);
        damage = dam;
         
        
        costumes[0] = new GreenfootImage("bullet.png");
        setImage(costumes[0]);

    }
    
    public void act()
    {        
        
        if(offScreen()) 
        {
            getWorld().removeObject(this);
        } 
        else 
        {
            setRotation((int)(Math.random() * - 180)); //turn to a random direction
            
            move(speed);
        }
    }
}