/** 
 * RandomEnemy moves down in a straight line and fires bullets randomly.
 */

import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class RandomEnemy extends Enemy
{
    public RandomEnemy(int h) 
    {
        speed          = 1;  
        points         = 100;
        shootTimer     = 125;
        health         = h;// + getScoreboard().getScore() / 5;
        isBoss         = false;
         
        //setting the costumes
        costumes = new GreenfootImage[5]; 
        for (int i = 0; i < 5; i++)
        {
            costumes[i] = new GreenfootImage("Bluebaddy_0"+(i+1)+".gif");
        }
        costumeNumber = 0;
        
        turn(0); //turn it to face down
    }

    public void attack() {
        int randomAngle = Greenfoot.getRandomNumber(359);
        // get a random angle betwee 0 and 359 degrees
        
        Bullet b = new Bullet(randomAngle);
        // make a new bullet that points in that random direction
        
        getWorld().addObject(b, getX(), getY());
        // add it to the world and let it fly!
    }

}
