import greenfoot.*;

public class ScatterGun implements Gun
{
    // instance variables 
    int cooldownLimit;
    int cooldownTimer;
    int bulletSpeed;
    int damage;

    Player p1;

    //Constructor -- initializes our g
    public ScatterGun(Player p)
    {
        cooldownLimit = 40;
        cooldownTimer = 40;
        bulletSpeed = 10;
        p1 = p;

        
        damage = p.getAttack() / 2;
    }

    
    public void shoot() 
    {
        if (cooldownTimer == cooldownLimit) {
            cooldownTimer = 0;
            
            MyScatter[] cats = new MyScatter[6]; //make 6 Scatter bullets
            
            //aim them all accordingly
            for(int c = 0; c < cats.length; c++) 
            {
                cats[c] = new MyScatter (damage); 
            }
            
            //fire them all
            for(MyScatter x: cats)
            { 
                p1.getWorld().addObject(x, p1.getX(), p1.getY());
            }
            //pew
            goPew();
        }
    }
    
    public void updateCooldown()
    {
        if (cooldownTimer != cooldownLimit)
            cooldownTimer++;
    }
    
    public void goPew()
    {
        GreenfootSound laser = new GreenfootSound("pomson.wav");
        laser.setVolume(90);
        laser.play();
    }
}
