/** 
 * ZipEnemy moves to the bottom of the screen very quickly and shoots when it gets there.
 */

/**
 * IN PROGRESS
 */
import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class ZipEnemy extends Enemy
{
    private int turnCount = 0;
    
    public ZipEnemy(int h) 
    {
         
        speed          = 10;  
        points         = 1;
        shootTimer     = 100;
        health         = h; //+ getScoreboard().getScore() / 10;
        isBoss         = false; 
        //setting the costumes
        costumes = new GreenfootImage[5];
        for (int i = 0; i < 5; i++)
        {
            costumes[i] = new GreenfootImage("Redbaddy_0"+(i+1)+".gif");
        }
        costumeNumber = 0;
        
        turn(0); //turn it to face down
    }
    
    public void act()
    {
        pointToPlayer();
        
        costumeNumber++;
        if(costumeNumber / 3 > 3)
            costumeNumber = 0;
            
        //will never exceed the World's height.
        
        setSpeed();      //adjusts speed according to Y position.
        move(speed);     //moves down. 
        if (this != null && shootCountdown % shootTimer == 0)   //This times the Enemy's shooting
            attack();                     
        
        shootCountdown++;
        checkDamaged();  // check for collisions with MyBullets
        
        setImage(costumes[costumeNumber / 3]);
        
    }

    public void setSpeed()
    {
        //Speed starts out fast then deccelerates and stops. 
        
        speed = ( (500 - getY() ) / 100) ;
        
        if( getY() >= 350)
        {
            speed = 0;
        }
    }
    
    public void pointToPlayer()
    {
        //keeps ZipEnemy pointed at Player
        
        Player p = getPlayer();
        
        if(p != null)
        {
            int xp = p.getX();
            int yp = p.getY();
            
            int degrees = Toolkit.absoluteBearing(xp, yp, getX(), getY());
            
            setRotation(degrees);
        }
    }
    
    //custom move method
    public void move(int y)
    {
        setLocation(getX(), getY() + y);
    }
    
    public void attack() 
    {
        Bullet b = new Bullet(90);
        // make a new bullet that points in that random direciton
       
        getWorld().addObject(b, getX(), getY());
        // add it to the world and let it fly!
    }
   
}
